# frozen_string_literal: true

require_relative "lib/magentasso/version"

Gem::Specification.new do |spec|
  spec.name          = "magentasso-rb"
  spec.version       = MagentaSSO::VERSION
  spec.authors       = ["Lauren Jenkinson"]
  spec.email         = ["lauren@iris.ac.nz"]

  spec.summary       = "A Ruby library to implement a MagentaSSO provider or client"
  spec.homepage      = "https://sr.ht/~ren/magenta"
  spec.license       = "MIT"

  spec.required_ruby_version = Gem::Requirement.new(">= 2.4.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://git.sr.ht/~ren/magentasso-rb"
  spec.metadata["changelog_uri"] = "https://git.sr.ht/~ren/magentasso-rb/tree/main/item/CHANGELOG.md"

  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "base32", "~> 0.3.4"
  spec.add_dependency "json", "~> 2.5.1"
end
